/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.akn\:preface {
  text-align: center;

  .akn\:docStage,
  .akn\:docProponent {
    &:extend(.Dokumentenstatus);
    padding-right: 0.2em;
    display: inline-flex;
    + .akn\:span {
      display: inline-flex;
      padding-bottom: 38px;
      &:extend(.Dokumentenstatus);
    }
  }

  .akn\:docTitle {
    &:extend(.Bezeichnung-Stammdokument);
    padding-top: 40px;
  }

  .lea\:textWrapper:has(+ .akn\:shortTitle) {
    &:extend(.Kurzbezeichnung-Abkuerzung-Stammdokument);
    display: inline-flex;
    padding-top: 40px;
  }

  .akn\:shortTitle {
    &:extend(.Kurzbezeichnung-Abkuerzung-Stammdokument);
    display: inline-flex;
    ~ .lea\:textWrapper {
      &:extend(.Kurzbezeichnung-Abkuerzung-Stammdokument);
      display: inline-flex;
    }
  }

  .akn\:inline {
    &:extend(.Kurzbezeichnung-Abkuerzung-Stammdokument);
    display: inline-flex;
  }

  & > .akn\:block {
    &:extend(.Ausfertigungsdatum-Stammdokument);
    padding-top: 40px;
    & > .akn\:date {
      > * {
        display: inline;
      }
    }
  }
}
